Bug 312791 - Suspend fails with a kernel BUG in dvb driver
Suspend fails with a kernel BUG in dvb driver
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i686 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2007-09-29 20:01 EDT by Cliff Cooley
Modified: 2008-02-07 23:26 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 23:26:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
An excerpt from /var/log/messages including stack, and installed package configuration (82.82 KB, text/plain)
2007-09-29 20:01 EDT, Cliff Cooley
no flags Details

  None (edit)
Description Cliff Cooley 2007-09-29 20:01:08 EDT
Description of problem:
Suspend fails with a kernel BUG apparently related to dvb:

kernel BUG at drivers/media/video/video-buf-dvb.c:58!
Sep 29 04:24:23 localhost kernel: invalid opcode: 0000 [#1]
Sep 29 04:24:23 localhost kernel: SMP

Suspend hasn't worked for me for sometime, but I am just now looking into it. 
It may have to do with my installation of mythtv (suspend did work some time ago
on my machine, but before mythtv).

Version-Release number of selected component (if applicable):
Using kernel.i686                              2.6.22.5-49.fc6

Also suspend didn't work with earlier recent kernels, but I don't have any
details of the failures to be sure they are the same.

How reproducible:

Every time I try to suspend.

Steps to Reproduce:
1.  Try to suspend on a computer with a similar configuration.
2.
3.
  
Actual results:
Suspend fails, computer half asleep, monitor off, disks and CPU apparently
running, won't wake up

Expected results:
Suspend, or if not suspend, resume

Additional info:
Comment 1 Cliff Cooley 2007-09-29 20:01:08 EDT
Created attachment 211491 [details]
An excerpt from /var/log/messages including stack, and installed package configuration
Comment 2 Cliff Cooley 2007-09-30 10:17:16 EDT
Note on reproducibility:  get the same Behavior every time I try to suspend, but
not the kernel BUG. (Sorry, I didn't realize this at first).
Comment 3 Cliff Cooley 2007-09-30 10:48:47 EDT
Another Note: If I remove the USB lirc port, so that lirc_dev doesn't load, my
machine suspends and resumes normally.

So, perhaps the only useful part of the bug report from the kernel point of view
is that when a thread (in this case lirc_dev) refuses to freeze, the attempt to
restart all the tasks does not bring the machine fully back to resume.  I have
to do a hard powerdown.  Of course, the simple way to avoid this is to avoid
suspend when lirc_dev is loaded.
Comment 4 Jon Stanley 2008-01-07 20:53:13 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 5 Jon Stanley 2008-02-07 23:26:05 EST
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!

Note You need to log in before you can comment on or make changes to this bug.